const os = require('os');
const yaml = require('yaml');
const readSource = require('./readSource');
const transform = require('./transform');
const renderSass = require('./renderSass');
const renderUswdsConfig = require('./renderUswdsConfig');
const renderJs = require('./renderJs');

const sassComment = `// stylelint-disable
// DO NOT EDIT THIS FILE.  This is a gitignored artifact created by Webpack.
// Design tokens should be edited in 00-config/config.design-tokens.yml`;

const uswdsSassComment = `// stylelint-disable
// DO NOT EDIT THIS FILE.  This is a gitignored artifact created by Webpack.
// Design tokens should be edited in 00-config/config.design-tokens.yml`;

const jsComment = `/* eslint-disable */
// DO NOT EDIT THIS FILE.  This is a gitignored artifact created by Webpack.
// Design tokens should be edited in 00-config/config.design-tokens.yml`;

module.exports = function (source) {
  const callback = this.async();
  readSource(source)
    .then(transform)
    .then(transformed => {
      const uswds_sass = uswdsSassComment + os.EOL + renderUswdsConfig(transformed.data);
      const sass = sassComment + os.EOL + renderSass(transformed.data);
      const js = jsComment + os.EOL + renderJs(transformed.data);
      this.emitFile('../source/00-config/_uswds-theme-settings.artifact.scss', uswds_sass);
      this.emitFile('../source/00-config/_design-tokens.artifact.scss', sass);
      this.emitFile('../source/00-config/_GESSO.es6.js', js);
      callback(null, yaml.stringify(transformed.data));
    });
  return source;
};
